petsc-3.4.2 2013-07-02

# MatMultTransposeEqual

Compares matrix-vector products of two matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMultTransposeEqual(Mat A,Mat B,PetscInt n,PetscBool  *flg)

Collective on Mat

### Input Parameters

| A | - the first matrix
| B | - the second matrix

n -number of random vectors to be tested

### Output Parameter

flg -PETSC_TRUE if the products are equal; PETSC_FALSE otherwise.

Level:intermediate
Location:src/mat/utils/multequal.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages